Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jetspeed.portlet
Class Portlet.Mode

    java.lang.Object
      |
      +--org.apache.jetspeed.portlet.Portlet.Mode

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Portlet

public static class Portlet.Mode
extends java.lang.Object
implements java.io.Serializable

The `Mode` class is a finite enumeration of the possible modes that a portlet can assume.

See Also:
  Serialized Form

Field Summary
`static Portlet.Mode` | `CONFIGURE` Allows the portlet to bring its own configuration screen if required.
`static Portlet.Mode` | `HELP` A portlet should provide useful online help in this mode.
`static Portlet.Mode` | `PERSONALIZE` This mode allows the portlet to capture user-specific parameterization, which leads to a personalized view of the portlet.
`static Portlet.Mode` | `VIEW` The standard "one-of many" portlet view on a page.

Method Summary
`int` | `getId()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VIEW

    public static final Portlet.Mode VIEW

  The standard "one-of many" portlet view on a page.

### PERSONALIZE

    public static final Portlet.Mode PERSONALIZE

  This mode allows the portlet to capture user-specific parameterization, which leads to a personalized view of the portlet.

### HELP

    public static final Portlet.Mode HELP

  A portlet should provide useful online help in this mode. This may be a short description or a multi-page instruction on how to use the portlet.

### CONFIGURE

    public static final Portlet.Mode CONFIGURE

  Allows the portlet to bring its own configuration screen if required. Only a user with administrator privileges should be able to call a portlet in this mode.

Method Detail

### getId

    public int getId()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.